Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.network
Class NetworkRegistryQuery

    java.lang.Object
      org.jboss.remoting.network.NetworkRegistryQuery

All Implemented Interfaces:
  java.io.Serializable, javax.management.QueryExp

    public class NetworkRegistryQuery

extends java.lang.Object
implements javax.management.QueryExp

NetworkRegistryQuery is a QueryExp that will filter on NetworkRegistryMBean mbeans.

Version:
  $Revision: 1216 $
Author:
  Jeff Haynie
See Also:
  Serialized Form

Constructor Summary
`NetworkRegistryQuery()`

Method Summary
`boolean` | `apply(javax.management.ObjectName objectName)`
`void` | `setMBeanServer(javax.management.MBeanServer mBeanServer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkRegistryQuery

    public NetworkRegistryQuery()

Method Detail

### apply

    public boolean apply(javax.management.ObjectName objectName)
                  throws javax.management.BadStringOperationException,
                         javax.management.BadBinaryOpValueExpException,
                         javax.management.BadAttributeValueExpException,
                         javax.management.InvalidApplicationException

  Specified by:
    `apply` in interface `javax.management.QueryExp`
  Throws:
    `javax.management.BadStringOperationException`
    `javax.management.BadBinaryOpValueExpException`
    `javax.management.BadAttributeValueExpException`
    `javax.management.InvalidApplicationException`

### setMBeanServer

    public void setMBeanServer(javax.management.MBeanServer mBeanServer)

  Specified by:
    `setMBeanServer` in interface `javax.management.QueryExp`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.